#ifndef _RESOURCES_MANAGER_
#define _RESOURCES_MANAGER_


#include <string>
#include <map>
#include "gl.hpp"
#include <boost/shared_ptr.hpp>

#include "StaticModel.hpp"

class ResourcesManager
{
public:
	ResourcesManager();

	GLuint GetTexture(std::string Filename);
	StaticModel* GetModel(std::string Filename);
private:
	GLuint LoadTexture(std::string Filename);
	StaticModel* LoadModel(std::string Filename);

	std::map<std::string, GLuint> Textures;
	std::map<std::string, boost::shared_ptr<StaticModel>> Models;
};

extern ResourcesManager ResMan;

#endif